﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using SoftArtisans.OfficeWriter.ExcelWriter;

namespace NCAATournamentBracketGenerator
{
    public partial class _Default : System.Web.UI.Page
    {
        public const String connString = @"Data Source=localhost\SQL2008R2;Initial Catalog=NCAATournamentData;Integrated Security=True";

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Download_Click(object sender, EventArgs e)
        {
            var templateFilePath = Server.MapPath("~/Templates/NCAATournamentBracket_Template.xlsx");

            var dataSQL = "SELECT Year, Round, HostTeamSeed, HostTeam, HostTeamScore, VisitTeamSeed, VisitTeam, VisitTeamScore " +
                            "FROM GAME";

            // Open the template file for processing
            var excelTemplate = new ExcelTemplate();
            excelTemplate.Open(templateFilePath);

            // connect to the database
            using (var conn = new SqlConnection(connString))
            {
                conn.Open();

                using (var cmd = new SqlCommand(dataSQL, conn))
                {
                    excelTemplate.BindData(cmd.ExecuteReader(), "Tournament", excelTemplate.CreateDataBindingProperties());

                    excelTemplate.Process();
                }
            }

            excelTemplate.Save(Response, "NCAATournamentBracket.xlsx", false);
        }
    }
}
